# MaskFormat

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Defines how to format the text inside of a [MaskedTextBox](/api/wisej.web/editors/maskedtextbox.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum MaskFormat : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum MaskFormat As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                         | Description                                                                                                                          |
| ---------------------------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| **ExcludePromptAndLiterals** | Return only the text entered by the user.                                                                                            |
| **IncludeLiterals**          | Return the text entered by the user as well as any literal characters defined in the mask.                                           |
| **IncludePrompt**            | Return the text entered by the user as well as any instances of the prompt character.                                                |
| **IncludePromptAndLiterals** | Return the text entered by the user as well as any literal characters defined in the mask and any instances of the prompt character. |

## Used By

| Name                                                                                                                                                      | Description                                                                                                                                                                                                                                                                                                                                                                                                  |
| --------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [DateTimePicker.TextMaskFormat](/api/wisej.web/editors/wisej.web.datetimepicker.md#textmaskformat)                                                        | <mark style="color:blue;background-color:green;">Since 3.2.8</mark> Returns or sets a value that determines whether literals and prompt characters are included in the [Text](/api/wisej.web/editors/wisej.web.datetimepicker.md#text) value when the [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md) also specifies a [Mask](/api/wisej.web/editors/wisej.web.datetimepicker.md#mask). |
| [MaskedTextBox.TextMaskFormat](/api/wisej.web/editors/maskedtextbox.md#textmaskformat)                                                                    | Returns or sets a value that determines whether literals and prompt characters are included in the formatted string.                                                                                                                                                                                                                                                                                         |
| [DataGridViewMaskedTextBoxCell.TextMaskFormat](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewmaskedtextboxcell.md#textmaskformat)     | Returns or sets a value that determines whether literals and prompt characters are included in the formatted string.                                                                                                                                                                                                                                                                                         |
| [DataGridViewMaskedTextBoxColumn.TextMaskFormat](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewmaskedtextboxcolumn.md#textmaskformat) | Returns or sets a value that determines whether literals and prompt characters are included in the formatted string.                                                                                                                                                                                                                                                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.maskformat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
